Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -136,8 +136,4 @@
 }
 
-void CommandLineDialog::queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &param, const std::string title, const std::string description){
-  registerQuery(new RandomNumberDistribution_ParametersCommandLineQuery(param, title, description));
-}
-
 /************************** Query Infrastructure ************************/
 /*       ---> shifted to folder Query                                   */
Index: src/UIElements/CommandLineUI/CommandLineDialog.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -54,5 +54,4 @@
   virtual void queryFile(Parameter<boost::filesystem::path> &, const std::string ="", const std::string = "");
   virtual void queryFiles(Parameter<std::vector< boost::filesystem::path> > &, const std::string ="", const std::string = "");
-  virtual void queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &, const std::string ="", const std::string = "");
   // specialized stuff for command line queries
   // all placed into Query/CommandLineQuery.hpp
@@ -79,5 +78,4 @@
   class VectorCommandLineQuery;
   class VectorsCommandLineQuery;
-  class RandomNumberDistribution_ParametersCommandLineQuery;
 };
 
Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -399,15 +399,4 @@
 //                  po::value < std::vector<const element *> >()->default_value(boost::lexical_cast< std::vector<const element *> >(currentOption->getDefaultValue().c_str())) :
                   po::value < std::vector<int> >()->multitoken(),
-                  currentOption->getDescription().c_str())
-        ;
-      break;
-    case TypeEnumContainer::RandomNumberDistribution_ParametersType:
-      OptionList->add_options()
-        (currentOption->getKeyAndShortForm().c_str(),
-            currentOption->hasDefaultValue() ?
-                  (_DefaultAsImplicit ? 
-                      po::value < std::string >()->implicit_value(boost::lexical_cast< std::string >(currentOption->getDefaultValue().c_str())) :
-                      po::value < std::string >()->default_value(boost::lexical_cast< std::string >(currentOption->getDefaultValue().c_str()))) :
-                  po::value < std::string >(),
                   currentOption->getDescription().c_str())
         ;
Index: src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp
===================================================================
--- src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -164,10 +164,3 @@
 };
 
-class CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery : public Dialog::TQuery<RandomNumberDistribution_Parameters> {
-public:
-  RandomNumberDistribution_ParametersCommandLineQuery(Parameter<RandomNumberDistribution_Parameters> &_param, const std::string &_title, const std::string &_description = "");
-  virtual ~RandomNumberDistribution_ParametersCommandLineQuery();
-  virtual bool handle();
-};
-
 #endif /* COMMANDLINEQUERY_HPP_ */
Index: src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ 	(revision )
@@ -1,71 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Copyright (C)  2013 Frederik Heber. All rights reserved.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
- * RandomNumberDistribution_ParametersCommandLineQuery.cpp
- *
- *  Created on: Jan 06, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <iostream>
-#include <sstream>
-#include <string>
-
-#include "CommandLineUI/Query/CommandLineQuery.hpp"
-#include "CommandLineUI/CommandLineParser.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-
-#include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
-
-CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::RandomNumberDistribution_ParametersCommandLineQuery(Parameter<RandomNumberDistribution_Parameters> &_param, const std::string &_title, const std::string &_description) :
-    Dialog::TQuery<RandomNumberDistribution_Parameters>(_param, _title, _description)
-{}
-
-CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::~RandomNumberDistribution_ParametersCommandLineQuery() {}
-
-bool CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::handle() {
-  std::string stringtext;
-  if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    try {
-      stringtext = CommandLineParser::getInstance().vm[getTitle()].as<std::string>();
-    } catch(boost::bad_any_cast &e) {
-      stringtext = std::string("");
-      return false;
-    }
-    std::stringstream text(stringtext);
-//    LOG(1, "INFO: Parameter set from CommandLine is '" << text.str() << "'");
-    text >> temp;
-    return true;
-  }
-  return false;
-}
-
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -81,5 +81,4 @@
   TypeEnumMap[&typeid(const element *)] = ElementType;
   TypeEnumMap[&typeid(std::vector<const element *>)] = ListOfElementsType;
-  TypeEnumMap[&typeid(RandomNumberDistribution_Parameters)] = RandomNumberDistribution_ParametersType;
 
   // for debugging: list all stored types
Index: src/UIElements/CommandLineUI/TypeEnumContainer.hpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 7912e9506437aa71ed46d58a27d8f3b9dfc3f45f)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -46,5 +46,4 @@
         ElementType,
         ListOfElementsType,
-        RandomNumberDistribution_ParametersType,
         RealSpaceMatrixType
   };
